Name:          je
Version:       6.3.8
Release:       %mkrel 3
Group:         Development/Java
Summary:       Berkeley DB Java Edition
License:       AGPLv3 and BSD
URL:           http://www.oracle.com/us/products/database/berkeley-db/je/overview/index.html
# use SOURCE2: sh je-create-tarball.sh < VERSION >
Source0:       %{name}-%{version}-clean.tar.xz
Source1:       http://download.oracle.com/maven/com/sleepycat/%{name}/%{version}/%{name}-%{version}.pom
Source2:       %{name}-create-tarball.sh
# fix build
Patch0:        %{name}-6.3.8-build.patch
Patch1:        %{name}-6.3.8-use-system-asm.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest-core
BuildRequires: hostname
BuildRequires: java-javadoc
BuildRequires: javapackages-local
BuildRequires: jboss-connector-1.6-api
BuildRequires: jboss-ejb-3.1-api
BuildRequires: junit
BuildRequires: mvn(org.ow2.asm:asm)

BuildArch:     noarch

%description
Berkeley DB Java Edition is a high performance, transactional storage
engine written entirely in Java. Like the highly successful Berkeley DB
product, Berkeley DB Java Edition executes in the address space of the
application, without the overhead of client/server communication. It
stores data in the application's native format, so no run-time data
translation is required. Berkeley DB Java Edition supports full ACID
transactions and recovery. It provides an easy-to-use, programmatic
interface, allowing developers to store and retrieve information
quickly, simply and reliably.

%package examples
Summary:       Examples for %{name}
Requires:      %{name} = %{version}-%{release}

%description examples
This package contains examples for %{name}.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package examples-javadoc
Summary:       Javadoc for %{name}-examples
Requires:      %{name}-javadoc = %{version}-%{release}

%description examples-javadoc
This package contains javadoc for %{name}-examples.

%prep
%setup -q
%patch0 -p1
cp -p %{SOURCE1} pom.xml
%patch1 -p1
rm -rf src/com/sleepycat/asm

%mvn_file com.sleepycat:%{name} %{name}

%build

ant \
 -Dj2ee.jarfile="$(build-classpath jboss-connector-1.6-api):$(build-classpath jboss-ejb-3.1-api)" \
 -Djdk6.home=%{_jvmdir}/java \
 -Dant.library.dir=%{_javadir} \
 jar javadoc compile-examples

cd build/classes
%jar -cf ../../%{name}-examples.jar collections je jmx persist

%install
%mvn_artifact pom.xml build/lib/%{name}.jar
%mvn_install -J docs/java

install -pm 644 %{name}-examples.jar %{buildroot}%{_javadir}/%{name}-examples.jar
cp -a docs/examples %{buildroot}%{_javadocdir}/%{name}-examples

%files -f .mfiles
%doc README
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%files examples
%{_javadir}/%{name}-examples.jar
%license LICENSE

%files examples-javadoc
%{_javadocdir}/%{name}-examples
%license LICENSE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 6.3.8-3.mga6
+ Revision: 976451
- First rebuild of the java stack
- sync package je with fedora
- imported package je

* Tue Feb 09 2016 umeabot <umeabot> 5.0.97-2.mga6
+ Revision: 951941
- Mageia 6 Mass Rebuild

* Mon Jan 12 2015 pterjan <pterjan> 5.0.97-1.mga5
+ Revision: 810008
- Sync with Fedora 21 (Update to 5.0.97)

* Wed Oct 15 2014 umeabot <umeabot> 3.3.75-5.mga5
+ Revision: 747234
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.75-4.mga5
+ Revision: 680764
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.75-3.mga4
+ Revision: 506361
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.3.75-2.mga3
+ Revision: 355300
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 3.3.75-1.mga2
+ Revision: 132816
- Clean spec file

  + gil <gil>
    - edit spec file
    - imported package je

